Description

We need i18n support. The task is:

extract strings from app

extract strings from views

extract strings from javascript

make it working

integrate with Transifex

integrate in the packaging

improve current gettext initialization code

create an option in settings.yml which will help out finding untranslated UI strings

announce

There is already initial support of gettext in the develop branch, the goal would be to improve it a bit.

Related issues:

Precedes Foreman - Feature #2420: Extract strings from JavaScript resources Closed 04/23/2013

Associated revisions

Revision c4da9ff7 - 04/24/2013 08:58 AM - Lukas Zapletal

fixes #2368 - finishing transifex.com integration

History

#1 - 04/04/2013 06:06 AM - Lukas Zapletal

The task is:

extract strings from app

extract strings from views

extract strings from javascript

integrate with Transifex

integrate with Zanata

integrate in the packaging

improve current gettext initialization code

create an option in settings.yml which will help out finding untranslated UI strings

create policy checker for extracted strings

TODO:

turn off fuzzy warnings

incorporate spanish translation - https://github.com/eLobato/foreman/blob/23d083b16850694f00d07ead3f14e58832723081/locale/es/app.po

app/models/host/managed.rb:      "Pending Installation" - all these should be translated (check)

Bryan translated some exception names e.g. raise _("Must provide an operating systems") - this must not be translated - double check

few "* ... *" untranslated (ERB)

come up with exception handling (with error codes?)

vim app/models/*/*rb

dasboard overview -> Active, "No report" or "Pending changes" are symbols (investigate)

smart proxy features like "Puppet" or "Puppet CA" should not be translated as it is used in SQL queries (double check)

consider http://www.yotabanana.com/hiki/ruby-gettext-howto-rails.html#Untranslation+option or 

05/18/2024 1/2

https://github.com/eLobato/foreman/blob/23d083b16850694f00d07ead3f14e58832723081/locale/es/app.po
https://github.com/grosser/gettext_i18n_rails#customizing-list-of-translatable-files

#2 - 04/04/2013 11:44 AM - Lukas Zapletal

content moved

#3 - 04/08/2013 07:37 AM - Lukas Zapletal

- % Done changed from 10 to 40

#4 - 04/10/2013 05:09 AM - Lukas Zapletal

- % Done changed from 40 to 80

#5 - 04/15/2013 08:38 AM - Dominic Cleal

- Category set to Internationalization

Created a new category as I think we'll be revisiting this.

#6 - 04/16/2013 08:11 AM - Lukas Zapletal

- Category deleted (Internationalization)

- % Done changed from 80 to 100

Done with UI testing, tests are green, merging Dominnic branch and we are ready.

#7 - 04/24/2013 05:48 AM - Ohad Levy

- Category set to Web Interface

- Status changed from Assigned to Closed

- Target version set to 1.2.0
